## org.hibernate.stat
Interface SessionStatistics

All Known Implementing Classes:
  SessionStatisticsImpl

    public interface SessionStatistics

Information about the first-level (session) cache for a particular session instance

Author:
  Gavin King

Method Summary
`int` `getCollectionCount()` Get the number of collection instances associated with the session
`Set` `getCollectionKeys()` Get the set of all `CollectionKey`s
`int` `getEntityCount()` Get the number of entity instances associated with the session
`Set` `getEntityKeys()` Get the set of all `EntityKey`s

Method Detail

### getEntityCount

    int getEntityCount()

  Get the number of entity instances associated with the session

### getCollectionCount

    int getCollectionCount()

  Get the number of collection instances associated with the session

### getEntityKeys

    Set getEntityKeys()

  Get the set of all `EntityKey`s

  See Also:
    `EntityKey`

### getCollectionKeys

    Set getCollectionKeys()

  Get the set of all `CollectionKey`s

  See Also:
    `CollectionKey`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.